/*
	Untitled Action-RPG
	Written by Kris McAulay.

	This file has the InitAnimations() function.
*/
#include <allegro.h>
#include "../main.h"

void InitAnimations()
{
	/* Setup MegamanX */
	MegamanXWalking.FramePath="/cd/data/entities/megamanx/walking/walking";
	MegamanXWalking.NumOfFrames=10;
	MegamanXWalking.LoopFrame=1;
	MegamanXWalking.Offset=0;

	MegamanXStanding.FramePath="/cd/data/entities/megamanx/standing/standing";
	MegamanXStanding.NumOfFrames=1;
	MegamanXStanding.LoopFrame=1;
	MegamanXStanding.Offset=0;

	MegamanXJumping.FramePath="/cd/data/entities/megamanx/jumping/jumping";
	MegamanXJumping.NumOfFrames=2;
	MegamanXJumping.LoopFrame=2;
	MegamanXJumping.Offset=0;

	MegamanXSlideJumping.FramePath="/cd/data/entities/megamanx/slidejmp/slidejmp";
	MegamanXSlideJumping.NumOfFrames=2;
	MegamanXSlideJumping.LoopFrame=2;
	MegamanXSlideJumping.Offset=0;

	MegamanXFalling.FramePath="/cd/data/entities/megamanx/falling/falling";
	MegamanXFalling.NumOfFrames=1;
	MegamanXFalling.LoopFrame=1;
	MegamanXFalling.Offset=0;

	MegamanXSliding.FramePath="/cd/data/entities/megamanx/sliding/sliding";
	MegamanXSliding.NumOfFrames=2;
	MegamanXSliding.LoopFrame=2;
	MegamanXSliding.Offset=0;

	MegamanXDashing.FramePath="/cd/data/entities/megamanx/dashing/dashing";
	MegamanXDashing.NumOfFrames=1;
	MegamanXDashing.LoopFrame=1;
	MegamanXDashing.Offset=0;

	MegamanXDucking.FramePath="/cd/data/entities/megamanx/ducking/ducking";
	MegamanXDucking.NumOfFrames=1;
	MegamanXDucking.LoopFrame=1;
	MegamanXDucking.Offset=0;

	/* Setup Zero */
	ZeroWalking.FramePath="/cd/data/entities/zero/walking/walking";
	ZeroWalking.NumOfFrames=10;
	ZeroWalking.LoopFrame=1;
	ZeroWalking.Offset=11;

	ZeroStanding.FramePath="/cd/data/entities/zero/standing/standing";
	ZeroStanding.NumOfFrames=1;
	ZeroStanding.LoopFrame=1;
	ZeroStanding.Offset=9;

	ZeroJumping.FramePath="/cd/data/entities/zero/jumping/jumping";
	ZeroJumping.NumOfFrames=2;
	ZeroJumping.LoopFrame=2;
	ZeroJumping.Offset=0;

	ZeroSlideJumping.FramePath="/cd/data/entities/zero/slidejmp/slidejmp";
	ZeroSlideJumping.NumOfFrames=1;
	ZeroSlideJumping.LoopFrame=1;
	ZeroSlideJumping.Offset=0;

	ZeroFalling.FramePath="/cd/data/entities/zero/falling/falling";
	ZeroFalling.NumOfFrames=2;
	ZeroFalling.LoopFrame=1;
	ZeroFalling.Offset=21;

	ZeroSliding.FramePath="/cd/data/entities/zero/sliding/sliding";
	ZeroSliding.NumOfFrames=2;
	ZeroSliding.LoopFrame=2;
	ZeroSliding.Offset=0;

	ZeroDashing.FramePath="/cd/data/entities/zero/dashing/dashing";
	ZeroDashing.NumOfFrames=2;
	ZeroDashing.LoopFrame=1;
	ZeroDashing.Offset=0;

	ZeroDucking.FramePath="/cd/data/entities/zero/ducking/ducking";
	ZeroDucking.NumOfFrames=1;
	ZeroDucking.LoopFrame=1;
	ZeroDucking.Offset=0;
}

