/*
	MegamanX: Odyssey
	Written by Sirk Siggler

*/
#include "../main.h"

void UpdateMegamanXAnimation( int playerindex )
{
	switch ( Players[playerindex].CurrentAction )
	{
		case DOING_WALKING:
			UpdateAnim( MegamanXWalking, playerindex );
			break;

		case DOING_JUMPING:
			UpdateAnim( MegamanXJumping, playerindex );
			break;

		case DOING_SLIDEJUMPING:
			UpdateAnim( MegamanXSlideJumping, playerindex );
			break;

		case DOING_FALLING:
			UpdateAnim( MegamanXFalling, playerindex );
			break;

		case DOING_STANDING:
			UpdateAnim( MegamanXStanding, playerindex );
			break;

		case DOING_SLIDING:
			UpdateAnim( MegamanXSliding, playerindex );
			break;

		case DOING_DASHING:
			UpdateAnim( MegamanXDashing, playerindex );
			break;

		case DOING_DUCKING:
			UpdateAnim( MegamanXDucking, playerindex );
			break;
	}
}

void DrawMegamanX( int playerindex )
{
	switch ( Players[playerindex].CurrentAction )
	{
		case DOING_WALKING:
			if ( Players[playerindex].Shooting==TRUE)
				DrawFrame( MegamanXSWalking, playerindex );
			else
				DrawFrame( MegamanXWalking, playerindex );
			break;

		case DOING_STANDING:
			if ( Players[playerindex].Shooting==TRUE)
				DrawFrame( MegamanXSStanding, playerindex );
			else
				DrawFrame( MegamanXStanding, playerindex );
			break;

		case DOING_JUMPING:
			if ( Players[playerindex].Shooting==TRUE)
				DrawFrame( MegamanXSJumping, playerindex );
			else
				DrawFrame( MegamanXJumping, playerindex );
			break;

		case DOING_SLIDEJUMPING:
			if ( Players[playerindex].Shooting==TRUE)
				DrawFrame( MegamanXSSlideJumping, playerindex );
			else
				DrawFrame( MegamanXSlideJumping, playerindex );
			break;

		case DOING_FALLING:
			if ( Players[playerindex].Shooting==TRUE)
				DrawFrame( MegamanXSFalling, playerindex );
			else
				DrawFrame( MegamanXFalling, playerindex );
			break;

		case DOING_DUCKING:
			if ( Players[playerindex].Shooting==TRUE)
				DrawFrame( MegamanXSDucking, playerindex );
			else
				DrawFrame( MegamanXDucking, playerindex );
			break;

		case DOING_DASHING:
			if ( Players[playerindex].Shooting==TRUE)
				DrawFrame( MegamanXSDashing, playerindex );
			else
				DrawFrame( MegamanXDashing, playerindex );
			break;

		case DOING_SLIDING:
			if ( Players[playerindex].Shooting==TRUE)
				DrawFrame( MegamanXSSliding, playerindex );
			else
				DrawFrame( MegamanXSliding, playerindex );
			break;
	}
}



