
#include <kos.h>
#include "../main.h"

void bin_to_texture(char *filename, uint32 tex, int w, int h)
{
	unsigned int fd;
    unsigned short *temp_tex;
    unsigned short *buffer;
    unsigned short * buffer2;
    int sizex, sizey, x, y;

    temp_tex = ta_txr_map(tex);

    fd = fs_open(filename, O_RDONLY);

	fs_read( fd, &sizex, sizeof(int) );
	fs_read( fd, &sizey, sizeof(int) );

	buffer=malloc( sizex*sizey*2 );
	buffer2=malloc( sizex*sizey*2);

	fs_read( fd, buffer, (sizex*sizey)*2 );

	// shift the buffer..
	for ( x=0; x<sizex; x++ )
		for ( y=0; y<sizey; y++ )
	{
		buffer2[y*sizex+x]=buffer[x*sizey+y];
	}

	memcpy( temp_tex, buffer2, (sizex*sizey)*2 );

    fs_close(fd);
}
