/*
	MegamanX: Odyssey
	Written by Sirk Siggler

*/
#include "../main.h"

void LoadTLE( char* filename )
{
	unsigned int TLEfile;
	unsigned short *buffer;
	unsigned short *temp_tex;
	unsigned short *tile;
	unsigned short *tile2;

	int i,x,y;
	// Prepare the tile bay
	for ( i=0; i<256; i++ )
	{
		TileBay[i]=ta_txr_allocate( 256*2 );
	}
	buffer=malloc( 256*256*2 );
	tile=malloc( 256*2 );
	tile2=malloc( 256*2 );

	TLEfile=fs_open( filename, O_RDONLY );
	fs_read( TLEfile, buffer, 256*256*2 );

	for ( i=0; i<256; i++ )
	{
		temp_tex = ta_txr_map(TileBay[i]);
		for ( x=0; x<16; x++ )
			for ( y=0; y<16; y++ )
		{
			tile[y*16+x]=buffer[((i*256)+(x*16))+y];
			//fs_read( TLEfile, tile, 256*2 );
		}

		// shift the buffer..
		for ( x=0; x<16; x++ )
			for ( y=0; y<16; y++ )
		{
			tile2[y*16+x]=tile[x*16+y];
		}

		memcpy( temp_tex, tile2, 256*2 );
	}

	fs_close( TLEfile );
}
