
#include <kos.h>
#include "../main.h"



void DrawLCD(const char *vmu_icon)
{
	uint8 bitmap[48*32/8] = {0};
	int x, y, xi, xb;
	static uint8 mvmu = 0;

	mvmu = maple_first_lcd();

	if (vmu_icon)
	{
		for (y=0; y<32; y++)
			for (x=0; x<48; x++)
			{
				xi = x / 8;
				xb = 0x80 >> (x % 8);
				if (vmu_icon[(31-y)*48+(47-x)] == '.')
					bitmap[y*(48/8)+xi] |= xb;
			}
	}

	vmu_draw_lcd(mvmu, bitmap);
}

