#include <kos.h>
#include "../main.h"

void SystemInit()
{
	/* Enable KOS */
	kos_init_all(IRQ_ENABLE | TA_ENABLE | THD_ENABLE, ROMDISK_NONE);

	/* Setup controllers */
	mcont = maple_first_controller();

	if (!mcont)
		{
			printf("No controllers attached\r\n");
	}

	ExitSystem=FALSE;
}
