

#include "../../main.h"

Animation LoadAnimation( char * path, int num, int loop, int speed, int xsize, int ysize )
{
	Animation a;

	a.FramePath=path;
	a.NumOfFrames=num;
	a.LoopFrame=loop;
	a.Speed=speed;
	a.xsize=xsize;
	a.ysize=ysize;
	a.Frames=LoadSpriteSet( a.FramePath );

	return a;
}

void LoadAnimations()
{
	/* Load MegamanX Sprites */
	MegamanXWalking=LoadAnimation( "./data/entities/megamanx/walking.set", 10, 1, 3, 128, 128 );
	MegamanXStanding=LoadAnimation( "./data/entities/megamanx/standing.set", 3, 1, 1, 128, 146 );
	MegamanXJumping=LoadAnimation( "./data/entities/megamanx/jumping.set", 1, 1, 3, 124, 168 );
	MegamanXSlideJumping=LoadAnimation( "./data/entities/megamanx/slidejmp.set", 2, 2, 3, 128, 128 );
	MegamanXFalling=LoadAnimation( "./data/entities/megamanx/falling.set", 2, 1, 2, 124, 168 );
	MegamanXSliding=LoadAnimation( "./data/entities/megamanx/sliding.set", 2, 2, 3, 128, 128 );
	MegamanXDashing=LoadAnimation( "./data/entities/megamanx/dashing.set", 1, 1, 3, 128, 128 );
	MegamanXDucking=LoadAnimation( "./data/entities/megamanx/ducking.set", 1, 1, 3, 128, 128 );

	/*KnucklesWalking=LoadAnimation( "./data/entities/knuckles/walking.set", 7, 0, 3, 128, 128 );
	KnucklesStanding=LoadAnimation( "./data/entities/megamanx/standing.set", 1, 1, 3, 128, 128 );
	KnucklesJumping=LoadAnimation( "./data/entities/megamanx/jumping.set", 2, 2, 3, 128, 128 );
	KnucklesSlideJumping=LoadAnimation( "./data/entities/megamanx/slidejmp.set", 2, 2, 3, 128, 128 );
	KnucklesFalling=LoadAnimation( "./data/entities/megamanx/falling.set", 2, 2, 3, 128, 128 );
	KnucklesSliding=LoadAnimation( "./data/entities/megamanx/sliding.set", 2, 2, 3, 128, 128 );
	KnucklesDashing=LoadAnimation( "./data/entities/megamanx/dashing.set", 1, 1, 3, 128, 128 );
	KnucklesDucking=LoadAnimation( "./data/entities/megamanx/ducking.set", 1, 1, 3, 128, 128 );


	TestGuy=LoadAnimation( "./data/entities/testguy/testguy.set", 1, 1, 1, 32, 32 );*/
}
