#include <allegro.h>
#include "../../main.h"

void SystemInit()
{
	BITMAP* temp;

	/* Enable ALLEGRO */
	allegro_init();
	install_timer();
	install_keyboard();

	set_color_depth(16);
	if ( set_gfx_mode( GFX_DIRECTX, 640, 480, 0, 0 ) < 0 )
	{
		set_color_depth( 15 );
		set_gfx_mode( GFX_DIRECTX, 640, 480, 0, 0 );
		ColorDepth=15;
	}
	else
		ColorDepth=16;

	Buffer=create_bitmap( 640, 480 );
	ExitSystem=FALSE;
	install_int_ex(frame_control, BPS_TO_TIMER(FPS));
	aspeed=gspeed=0;

	temp=load_pcx( "./data/levels/level0.pcx", NULL );
	background=create_bitmap( temp->w*2, temp->h*2 );
	stretch_blit( temp, background, 0, 0, 640, 240, 0, 0, 1280, 480 );
}
