#include <allegro.h>
#include "../../main.h"

void DrawBackground();
void DrawMenuCursor( int flip );

void DrawWrappedBitmap( BITMAP* bmp, BITMAP* dest, int xpos, int ypos, int offset )
{
	if ( offset > 1280 )
		offset=offset%1280;

	if ( offset < 640 )
	{
		blit( bmp, Buffer, offset, 0, 0, 0, 640, 480 );
	}
	else
	{
		blit( bmp, Buffer, offset, 0, 0, 0, 640, 480 );
		blit( bmp, Buffer, 0, 0, 1280-offset, 0, 640, 480 );
	}
	//blit( bmp, Buffer, 0, 0, offset, 0, 640-offset, 480 );
	//blit( bmp, Buffer, offset, 0, 640, 240, 0, 0, 1280, 480);

	//blit( bmp, Buffer, offset, 0, 0, 0, offset, 480 );
	//stretch_blit( bmp, Buffer, 0, 0, 640, 240, offset, 0, 1280, 480);
}

void UpdateScreen( int value1, int value2 )
{
	switch ( value1 )
	{
		case IN_MAP:
			//clear_to_color( Buffer, makecol( 255, 0, 0 ) );
			DrawBackground();
    		DrawLayer( EntityLayer, camerax, cameray, 20, 15 );
    		DrawPlayers();
			DrawLayer( ForegroundLayer, camerax, cameray, 20, 15 );

   			// display info..
   			//textprintf( Buffer, font, 0, 0, makecol( 255, 0, 0 ), "BackgroundOffset: %i", BackgroundOffset );
   			/*textprintf( Buffer, font, 0, 8, makecol( 255, 0, 0 ), "frametime: %f", frametime );
   			textprintf( Buffer, font, 0, 16, makecol( 255, 0, 0 ), "framestart: %f", framestart );
   			textprintf( Buffer, font, 0, 24, makecol( 255, 0, 0 ), "frameend: %f", frameend );
   			textprintf( Buffer, font, 0, 32, makecol( 255, 0, 0 ), "first: %f", first );*/

   			//textprintf( Buffer, font, 0, 40, makecol( 255, 0, 0 ), "ftime: %f", ftime() );
   			//textprintf( Buffer, font, 0, 48, makecol( 255, 0, 0 ), "clock: %i", clock() );

			vsync();
			blit( Buffer, screen, 0, 0, 0, 0, 640, 480 );
    		break;

    	case IN_CHOOSEMENU:
    		/*ta_begin_render();
		   	DrawBackground();
		   	ta_commit_eol();
			//DrawMenuCursor( value1 );
			DrawSprite( MenuCursor, 320, 240, 64, 64, value1 );
			ta_commit_eol();
    		ta_finish_frame();*/
    		break;

	}
}

void DrawBackground()
{
	BackgroundOffset=camerax%1280;

	DrawWrappedBitmap( background, Buffer, 0, 0, camerax/2 );
}