/*
	MakeSET
	Written by Sirk Siggler

*/
#include <allegro.h>

int main( int argc, char* argv[])
{
	BITMAP* bmp;
	FILE* SETfile;
	int x,y,i,amount;
	char filename[100];
	unsigned char r,g,b;
	unsigned short color;

	allegro_init();
	install_keyboard();
	install_timer();

	set_color_depth( 16 );
	if ( set_gfx_mode( GFX_DIRECTX, 640, 480, 0, 0 ) < 0 )
	{
		set_color_depth( 15 );
		set_gfx_mode( GFX_DIRECTX, 640, 480, 0, 0 );
	}

	amount=atoi( argv[2] );

	sprintf( filename, "%s.set", argv[1] );
	SETfile=fopen( filename, "wb" );
	fwrite( &amount, sizeof(int), 1, SETfile );

	for ( i=0; i<=amount; i++ )
	{
		sprintf( filename, "%s%i.pcx", argv[1], i );
		bmp=load_pcx( filename, NULL );

		// If reading the first file.. write the size info.
		if ( i == 0 )
		{
			fwrite( &bmp->w, sizeof(int), 1, SETfile );
			fwrite( &bmp->h, sizeof(int), 1, SETfile );
		}

		for ( x=0; x<bmp->w; x++ )
			for ( y=0; y<bmp->h; y++ )
			{
				color=getpixel( bmp, x, y );
				r=getr( color );
				g=getg( color );
				b=getb( color );
				fwrite( &r, 1, 1, SETfile );
				fwrite( &g, 1, 1, SETfile );
				fwrite( &b, 1, 1, SETfile );
			}
	}

	fclose(SETfile);

}
END_OF_MAIN();


/*while ( Done!=TRUE )
	{
		if ( !exists( argv[1] ) )
			Done=TRUE;
		else
		{
			fwrite( &bmp->w, sizeof(int), 1, texfile );
			fwrite( &bmp->h, sizeof(int), 1, texfile );

			for ( x=0; x<bmp->w; x++ )
				for ( y=0; y<bmp->h; y++ )
				{
					color=getpixel( bmp, x, y );
					r=getr16( color );
					g=getg16( color );
					b=getb16( color );

					if ( r==255 && g==0 && b==255 )
						a=0;
					else
						a=255;

					// conversion ...
					color2 = 0;
					color2 = (color & 31);                      // red color component
					color2 |= ((color >> 5 + 1) & 31) << 5;     // green color	component
					color2 |= ((color >> 6 + 5) & 31) << 10;   // blue color component
					color2 |= (((a >> 7) << 15));  // alpha value

					//color=((a >> 3) << 15 ) | ((r >> 3) << 11) | ((g >> 2) << 5) | ((b >> 3) << 0);

					fwrite( &color2, sizeof(short), 1, texfile );
				}

			Done=TRUE;
		}


	}*/

	/*if ( r==255 && g==0 && b==255 )
						a=0;
					else
						a=255;

					// conversion ...
					color2 = 0;
					color2 = (color & 31);                      // red color component
					color2 |= ((color >> 5 + 1) & 31) << 5;   	// green color	component
					color2 |= ((color >> 6 + 5) & 31) << 10;  	// blue color component
					color2 |= (((a >> 7) << 15));  				// alpha value

				//color=((a >> 3) << 15 ) | ((r >> 3) << 11) | ((g >> 2) << 5) | ((b >> 3) << 0);*/