/*
	MakeSET
	Written by Sirk Siggler

*/
#include <allegro.h>
#include "set.c"

spriteset MegamanXStanding;

int main( int argc, char* argv[] )
{
	char filename[100];

	allegro_init();
	install_keyboard();
	install_timer();

	set_color_depth( 16 );
	if ( set_gfx_mode( GFX_DIRECTX, 640, 480, 0, 0 ) < 0 )
	{
		set_color_depth( 15 );
		set_gfx_mode( GFX_DIRECTX, 640, 480, 0, 0 );
	}

	textprintf( screen, font, 0, 0, makecol( 255, 255, 255 ), "Loading sprite.." );
	readkey();
	sprintf( filename, "%s.set", argv[1] );
	MegamanXStanding=LoadSpriteSet( filename );
	textprintf( screen, font, 0, 0, makecol( 255, 255, 255 ), "Loaded..." );
	readkey();

	//If specific sprite specified.. draw it
	draw_sprite( screen, MegamanXStanding.sprites[atoi(argv[2])], 0, 0 );
	readkey();
}
END_OF_MAIN();
