/*
	Dir2TLE
	Written by Sirk Siggler

*/
#include <allegro.h>
#include "tle.h"

int main()
{
	BITMAP* tempbmp;
	FILE* TLEfile;
	char Filename[100];
	int Done=FALSE;
	int i,j,jx,jy,x,y;
	i=j=jx=jy=x=y=0;

	allegro_init();
	install_keyboard();
	install_timer();
	set_color_depth( 16 );
	if ( set_gfx_mode( GFX_DIRECTX, 320, 240, 0, 0 ) < 0 )
	{
		set_color_depth( 15 );
		set_gfx_mode( GFX_DIRECTX, 320, 240, 0, 0 );
	}

	LoadTLE( "output.tle" );

	clear_to_color( screen, makecol( 255, 255, 255 ) );
	tempbmp=create_bitmap( 16, 16 );

	// Display all tiles.

	for ( j=0; j<=255; j++ )
	{
		/*for ( x=0; x<16; x++ )
		{
			for ( y=0; y<16 ; y++ )
			{
				putpixel( tempbmp, x, y, TileBay[j][y*16+x] );
			}
		}*/

		if ( jx >= 19 )
		{
			jx=0;
			jy++;
		}
		blit( TileBay[j], screen, 0, 0, jx*17, jy*17, 16, 16 );
		readkey();
		jx++;
	}

	readkey();

}
END_OF_MAIN();