
#include "../main.h"

void UpdateZeroAnimation( int playerindex )
{
	switch ( Players[playerindex].CurrentAction )
	{
		case DOING_WALKING:
			UpdateAnim( ZeroWalking, playerindex );
			break;

		case DOING_JUMPING:
			UpdateAnim( ZeroJumping, playerindex );
			break;

		case DOING_SLIDEJUMPING:
			UpdateAnim( ZeroSlideJumping, playerindex );
			break;

		case DOING_FALLING:
			UpdateAnim( ZeroFalling, playerindex );
			break;

		case DOING_STANDING:
			UpdateAnim( ZeroStanding, playerindex );
			break;

		case DOING_SLIDING:
			UpdateAnim( ZeroSliding, playerindex );
			break;

		case DOING_DASHING:
			UpdateAnim( ZeroDashing, playerindex );
			break;

		case DOING_DUCKING:
			UpdateAnim( ZeroDucking, playerindex );
			break;
	}
}

void DrawZero( int playerindex )
{
	switch ( Players[playerindex].CurrentAction )
	{
		case DOING_WALKING:
			if ( Players[playerindex].Shooting==TRUE)
				DrawFrame( ZeroSWalking, playerindex );
			else
				DrawFrame( ZeroWalking, playerindex );
			break;

		case DOING_STANDING:
			if ( Players[playerindex].Shooting==TRUE)
				DrawFrame( ZeroSStanding, playerindex );
			else
				DrawFrame( ZeroStanding, playerindex );
			break;

		case DOING_JUMPING:
			if ( Players[playerindex].Shooting==TRUE)
				DrawFrame( ZeroSJumping, playerindex );
			else
				DrawFrame( ZeroJumping, playerindex );
			break;

		case DOING_SLIDEJUMPING:
			if ( Players[playerindex].Shooting==TRUE)
				DrawFrame( ZeroSSlideJumping, playerindex );
			else
				DrawFrame( ZeroSlideJumping, playerindex );
			break;

		case DOING_FALLING:
			if ( Players[playerindex].Shooting==TRUE)
				DrawFrame( ZeroSFalling, playerindex );
			else
				DrawFrame( ZeroFalling, playerindex );
			break;

		case DOING_DUCKING:
			if ( Players[playerindex].Shooting==TRUE)
				DrawFrame( ZeroSDucking, playerindex );
			else
				DrawFrame( ZeroDucking, playerindex );
			break;

		case DOING_DASHING:
			if ( Players[playerindex].Shooting==TRUE)
				DrawFrame( ZeroSDashing, playerindex );
			else
				DrawFrame( ZeroDashing, playerindex );
			break;

		case DOING_SLIDING:
			if ( Players[playerindex].Shooting==TRUE)
				DrawFrame( ZeroSSliding, playerindex );
			else
				DrawFrame( ZeroSliding, playerindex );
			break;
	}
}



