
#include <allegro.h>
#include "../main.h"

void UpdateAnimations()
{
	// Update the player.
	switch ( Players[0].Character )
	{
		case PLAYER_MEGAMANX:
			UpdateMegamanXAnimation(0);
			break;
		case PLAYER_ZERO:
			UpdateZeroAnimation(0);
			break;
		case PLAYER_KNUCKLES:
			UpdateKnucklesAnimation(0);
			break;
	}
}

int UpdateAnim( Animation Anim, int playerindex )
{
	int iRetCode=0;

	if ( Players[playerindex].AnimPos>=Anim.Speed )
	{
		Players[playerindex].CurrentFrame++;
		Players[playerindex].AnimPos=0;
	}
	else
		Players[playerindex].AnimPos++;

	if ( Players[playerindex].CurrentFrame>Anim.NumOfFrames )
		Players[playerindex].CurrentFrame=Anim.LoopFrame;

	return iRetCode;
}