/*
	Untitled Action-RPG
	Written by Kris McAulay.

	This file has the InitAnimations() function.
*/
#include "../main.h"

Animation SetAnimation( char * path, int num, int loop, int speed, int xsize, int ysize )
{
	Animation a;

	a.FramePath=path;
	a.NumOfFrames=num;
	a.LoopFrame=loop;
	a.Speed=speed;
	a.xsize=xsize;
	a.ysize=ysize;

	return a;
}

void InitAnimations()
{
	/* Setup MegamanX SNES sprites */
	MegamanXWalking=SetAnimation( "./data/entities/megamanx/standing.set", 10, 1, 3, 128, 128 );
	MegamanXStanding=SetAnimation( "./data/entities/megamanx/standing.set", 3, 1, 3, 128, 146 );
	MegamanXJumping=SetAnimation( "./data/entities/megamanx/jumping.set", 2, 2, 3, 128, 128 );
	MegamanXSlideJumping=SetAnimation( "./data/entities/megamanx/slidejmp.set", 2, 2, 3, 128, 128 );
	MegamanXFalling=SetAnimation( "./data/entities/megamanx/falling.set", 1, 1, 3, 128, 128 );
	MegamanXSliding=SetAnimation( "./data/entities/megamanx/sliding.set", 2, 2, 3, 128, 128 );
	MegamanXDashing=SetAnimation( "./data/entities/megamanx/dashing.set", 1, 1, 3, 128, 128 );
	MegamanXDucking=SetAnimation( "./data/entities/megamanx/ducking.set", 1, 1, 3, 128, 128 );

	/*KnucklesWalking=SetAnimation( "./data/entities/megamanx/standing.set", 10, 1, 3, 128, 128 );
	KnucklesStanding=SetAnimation( "./data/entities/megamanx/standing.set", 1, 1, 3, 128, 128 );
	KnucklesJumping=SetAnimation( "./data/entities/megamanx/jumping.set", 2, 2, 3, 128, 128 );
	KnucklesSlideJumping=SetAnimation( "./data/entities/megamanx/slidejmp.set", 2, 2, 3, 128, 128 );
	KnucklesFalling=SetAnimation( "./data/entities/megamanx/falling.set", 1, 1, 3, 128, 128 );
	KnucklesSliding=SetAnimation( "./data/entities/megamanx/sliding.set", 2, 2, 3, 128, 128 );
	KnucklesDashing=SetAnimation( "./data/entities/megamanx/dashing.set", 1, 1, 3, 128, 128 );
	KnucklesDucking=SetAnimation( "./data/entities/megamanx/ducking.set", 1, 1, 3, 128, 128 );*/

	/* Setup Zero
	ZeroWalking.FramePath="./data/entities/zero/walking/walking";
	ZeroWalking.NumOfFrames=10;
	ZeroWalking.LoopFrame=1;
	ZeroWalking.Speed=3;

	ZeroStanding.FramePath="./data/entities/zero/standing/standing";
	ZeroStanding.NumOfFrames=1;
	ZeroStanding.LoopFrame=1;
	ZeroStanding.Speed=3;

	ZeroJumping.FramePath="./data/entities/zero/jumping/jumping";
	ZeroJumping.NumOfFrames=2;
	ZeroJumping.LoopFrame=2;
	ZeroJumping.Speed=3;

	ZeroSlideJumping.FramePath="./data/entities/zero/slidejmp/slidejmp";
	ZeroSlideJumping.NumOfFrames=1;
	ZeroSlideJumping.LoopFrame=1;
	ZeroSlideJumping.Speed=3;

	ZeroFalling.FramePath="./data/entities/zero/falling/falling";
	ZeroFalling.NumOfFrames=2;
	ZeroFalling.LoopFrame=1;
	ZeroFalling.Speed=3;

	ZeroSliding.FramePath="./data/entities/zero/sliding/sliding";
	ZeroSliding.NumOfFrames=2;
	ZeroSliding.LoopFrame=2;
	ZeroSliding.Speed=3;

	ZeroDashing.FramePath="./data/entities/zero/dashing/dashing";
	ZeroDashing.NumOfFrames=2;
	ZeroDashing.LoopFrame=1;
	ZeroDashing.Speed=3;

	ZeroDucking.FramePath="./data/entities/zero/ducking/ducking";
	ZeroDucking.NumOfFrames=1;
	ZeroDucking.LoopFrame=1;
	ZeroDucking.Speed=3; */

	/* Load the testguy
	TestGuy.FramePath="./data/entities/testguy/testguy";
	TestGuy.NumOfFrames=0;
	TestGuy.LoopFrame=0;
	TestGuy.Speed=0; */
	;
}
	/* Setup MegamanX PSX sprites
	MegamanXWalking.FramePath="./data/entities/megamanx/walking.set";
	MegamanXWalking.NumOfFrames=14;
	MegamanXWalking.LoopFrame=2;
	MegamanXWalking.Speed=2;

	MegamanXStanding.FramePath="./data/entities/megamanx/standing.set";
	MegamanXStanding.NumOfFrames=3;
	MegamanXStanding.LoopFrame=0;
	MegamanXStanding.Speed=11;

	MegamanXJumping.FramePath="./data/entities/megamanx/jumping.set";
	MegamanXJumping.NumOfFrames=6;
	MegamanXJumping.LoopFrame=6;
	MegamanXJumping.Speed=3;

	MegamanXSlideJumping.FramePath="./data/entities/megamanx/slidejmp.set";
	MegamanXSlideJumping.NumOfFrames=1;
	MegamanXSlideJumping.LoopFrame=1;
	MegamanXSlideJumping.Speed=3;

	MegamanXFalling.FramePath="./data/entities/megamanx/falling.set";
	MegamanXFalling.NumOfFrames=0;
	MegamanXFalling.LoopFrame=0;
	MegamanXFalling.Speed=3;

	MegamanXSliding.FramePath="./data/entities/megamanx/sliding.set";
	MegamanXSliding.NumOfFrames=3;
	MegamanXSliding.LoopFrame=3;
	MegamanXSliding.Speed=3;

	MegamanXDashing.FramePath="./data/entities/megamanx/dashing.set";
	MegamanXDashing.NumOfFrames=3;
	MegamanXDashing.LoopFrame=2;
	MegamanXDashing.Speed=2;

	MegamanXDucking.FramePath="./data/entities/megamanx/ducking.set";
	MegamanXDucking.NumOfFrames=1;
	MegamanXDucking.LoopFrame=1;
	MegamanXDucking.Speed=3;*/


