/*
	Untitled Action-RPG
	Written by Kris McAulay.

	This file has the SetCamera() function.
*/
#include "../main.h"

void CenterCamera( int xpos, int ypos )
{
	camerax=xpos-320;
	cameray=ypos-240;
}

void SetCamera( int playerindex )
{
	/* Bottom Left */
  	if ( Players[playerindex].xpos<=320 && Players[playerindex].xpos>=0
        	&& Players[playerindex].ypos>=mapysize*32-240
       		&& Players[playerindex].ypos<=mapysize*32 )
  	CenterCamera( 320, mapysize*32-240 );

	/* Bottom Middle */
  	else if ( Players[playerindex].xpos>=320 && Players[playerindex].xpos<=mapxsize*32-320
    	        && Players[playerindex].ypos>=mapysize*32-240
    		&& Players[playerindex].ypos<=mapysize*32 )
  	CenterCamera( Players[playerindex].xpos, mapysize*32-240 );

	/* Bottom Right */
	else if ( Players[playerindex].xpos>=mapxsize*32-320
       		&& Players[playerindex].xpos<=mapxsize*32
        	&& Players[playerindex].ypos>=mapysize*32-240
        	&& Players[playerindex].ypos<=mapysize*32 )
   	CenterCamera( mapxsize*32-320, mapysize*32-240 );

	/* Top Left */
  	else if ( Players[playerindex].xpos<=320 && Players[playerindex].xpos>=0 &&
  		Players[playerindex].ypos>=0 && Players[playerindex].ypos<=240 )
   	CenterCamera( 320, 240 );

	/* Top Middle */
  	else if ( Players[playerindex].xpos>=320 && Players[playerindex].xpos<=mapxsize*32-320
     	        && Players[playerindex].ypos<=240 && Players[playerindex].ypos>= 0)
	CenterCamera( Players[playerindex].xpos, 240 );

	/* Top Right */
	else if ( Players[playerindex].xpos>=mapxsize*32-320
        	&& Players[playerindex].xpos<=mapxsize*32
                && Players[playerindex].ypos>=0 && Players[playerindex].ypos<=240 )
	CenterCamera( mapxsize*32-320, 240 );

	/* Left Middle */
	else if ( Players[playerindex].xpos<=320 && Players[playerindex].xpos>=0
        	&& Players[playerindex].ypos>=240 && Players[playerindex].ypos<=mapysize*32-240 )
   	CenterCamera( 320, Players[playerindex].ypos );

	/* Right Middle */
  	else if ( Players[playerindex].xpos>=mapxsize*32-320 && Players[playerindex].xpos<=mapxsize*32
        	&& Players[playerindex].ypos>=240 && Players[playerindex].ypos<=mapysize*32-240 )
  	CenterCamera( mapxsize*32-320, Players[playerindex].ypos );

	/* Center */
  	else
		CenterCamera( Players[playerindex].xpos, Players[playerindex].ypos );

}

