#include <allegro.h>
#include "../../main.h"

void DrawFrame( Animation Anim, int playerindex )
{
	if ( Players[playerindex].Facing == LEFT )
		DrawSprite( Anim.Frames.sprites[Players[playerindex].CurrentFrame],
			Players[playerindex].xpos-camerax, Players[playerindex].ypos-cameray,
			Anim.xsize, Anim.ysize, TRUE );
	else
		DrawSprite( Anim.Frames.sprites[Players[playerindex].CurrentFrame],
			Players[playerindex].xpos-camerax, Players[playerindex].ypos-cameray,
			Anim.xsize, Anim.ysize, FALSE );
}


void DrawSprite( BITMAP* bmp, int xpos, int ypos, int xsize, int ysize, int flip )
{
	if ( flip==TRUE )
		draw_sprite_h_flip( Buffer, bmp, xpos-(xsize/2), ypos-ysize+1 );
	else
	 	draw_sprite( Buffer, bmp, xpos-(xsize/2), ypos-ysize+1 );
}

