/*
	Newmap
	Written by Sirk Siggler
*/
#include <stdio.h>

char* EntityLayer;
char* ForegroundLayer;
char* SlopeTable;

int mapxsize, mapysize;

void SaveMap( char* filename )
{
	int i;
	FILE* f;
	f=fopen( filename, "w" );

	fwrite( &mapxsize, sizeof(int), 1, f );
	fwrite( &mapysize, sizeof(int), 1, f );

	// Save the entity layer
	for ( i=0; i<(mapxsize*mapysize); i++ )
		fwrite( &EntityLayer[i], sizeof(char), 1, f );

	// Save the foreground layer
	for ( i=0; i<(mapxsize*mapysize); i++ )
		fwrite( &ForegroundLayer[i], sizeof(char), 1, f );

	// Save the slope table
	for ( i=0; i<(mapxsize*mapysize); i++ )
		fwrite( &SlopeTable[i], sizeof(char), 1, f );

	fclose(f);
}

int main( int argc, char * argv[])
{
	mapxsize=atoi( argv[2] );
	mapysize=atoi( argv[3] );

	printf( "Allocatig memory\n\r" );
	EntityLayer=(char*)malloc(sizeof(char)*(mapxsize*mapysize));
	ForegroundLayer=(char*)malloc(sizeof(char)*(mapxsize*mapysize));
	SlopeTable=(char*)malloc(sizeof(char)*(mapxsize*mapysize));

	printf( "About to save: %s(%i,%i)\n\r", argv[1], mapxsize, mapysize );

	SaveMap( argv[1] );

	return 0;
}

