/*
	Dir2SET
	Written by Sirk Siggler

*/
#include <allegro.h>

int main( int argc, char* argv[])
{
	BITMAP* bmp;
	FILE* texfile;
	int Done,x,y,color,color2,r,g,b,a;

	allegro_init();
	install_keyboard();
	install_timer();

	set_color_depth( 16 );
	if ( set_gfx_mode( GFX_DIRECTX, 640, 480, 0, 0 ) < 0 )
	{
		set_color_depth( 15 );
		set_gfx_mode( GFX_DIRECTX, 640, 480, 0, 0 );
	}
	bmp=load_pcx( argv[1], NULL );

	texfile=fopen( "output.tex", "wb" );

	while ( Done!=TRUE )
	{
		if ( !exists( argv[1] ) )
			Done=TRUE;
		else
		{
			fwrite( &bmp->w, sizeof(int), 1, texfile );
			fwrite( &bmp->h, sizeof(int), 1, texfile );

			for ( x=0; x<bmp->w; x++ )
				for ( y=0; y<bmp->h; y++ )
				{
					color=getpixel( bmp, x, y );
					r=getr16( color );
					g=getg16( color );
					b=getb16( color );

					if ( r==255 && g==0 && b==255 )
						a=0;
					else
						a=255;

					// conversion ...
					color2 = 0;
					color2 = (color & 31);                      // red color component
					color2 |= ((color >> 5 + 1) & 31) << 5;     // green color	component
					color2 |= ((color >> 6 + 5) & 31) << 10;   // blue color component
					color2 |= (((a >> 7) << 15));  // alpha value

					//color=((a >> 3) << 15 ) | ((r >> 3) << 11) | ((g >> 2) << 5) | ((b >> 3) << 0);

					fwrite( &color2, sizeof(short), 1, texfile );
				}

			Done=TRUE;
		}


	}
	fclose(texfile);

}
END_OF_MAIN();